/*
 * JBoss, Home of Professional Open Source
 * Copyright 2012 Red Hat Inc. and/or its affiliates and other contributors
 * as indicated by the @author tags. All rights reserved.
 * See the copyright.txt in the distribution for a
 * full listing of individual contributors.
 *
 * This copyrighted material is made available to anyone wishing to use,
 * modify, copy, or redistribute it subject to the terms and conditions
 * of the GNU Lesser General Public License, v. 2.1.
 * This program is distributed in the hope that it will be useful, but WITHOUT A
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
 * PARTICULAR PURPOSE.  See the GNU Lesser General Public License for more details.
 * You should have received a copy of the GNU Lesser General Public License,
 * v.2.1 along with this distribution; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 * MA  02110-1301, USA.
 */

package org.infinispan.xsite;

/**
 * @author Mircea Markus
 * @since 5.2
 */
public class XSiteBackup {
   private String siteName;
   private boolean sync;
   private long timeout;


   public XSiteBackup(String siteName, boolean sync, long timeout) {
      this.siteName = siteName;
      this.sync = sync;
      this.timeout = timeout;
   }

   public String getSiteName() {
      return siteName;
   }

   public boolean isSync() {
      return sync;
   }

   public long getTimeout() {
      return timeout;
   }

   public String toString() {
      return siteName + " (" + (sync? "sync" : "async") + ", timeout=" + timeout + ")";
   }
}
